package com.skr.mdm.authentication.admin;

import lombok.Getter;
import org.springframework.security.core.AuthenticationException;

/**
 * @author nfq
 * @date 2020/7/11 12:07
 */
@Getter
public class VerifyCodeException extends AuthenticationException {

    private static final long serialVersionUID = -1393928639829591882L;

    private String code;

    public VerifyCodeException(String msg) {
        super(msg);
    }

    public VerifyCodeException(String code, String msg) {
        super(msg);
        this.code = code;
    }
}
